Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DLARGV

    java.lang.Object
      org.netlib.lapack.DLARGV

    public class DLARGV

extends java.lang.Object

    DLARGV is a simplified interface to the JLAPACK routine dlargv.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLARGV generates a vector of real plane rotations, determined by
     *  elements of the real vectors x and y. For i = 1,2,...,n
     *
     *     (  c(i)  s(i) ) ( x(i) ) = ( a(i) )
     *     ( -s(i)  c(i) ) ( y(i) ) = (   0  )
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of plane rotations to be generated.
     *
     *  X       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCX)
     *          On entry, the vector x.
     *          On exit, x(i) is overwritten by a(i), for i = 1,...,n.
     *
     *  INCX    (input) INTEGER
     *          The increment between elements of X. INCX > 0.
     *
     *  Y       (input/output) DOUBLE PRECISION array,
     *                         dimension (1+(N-1)*INCY)
     *          On entry, the vector y.
     *          On exit, the sines of the plane rotations.
     *
     *  INCY    (input) INTEGER
     *          The increment between elements of Y. INCY > 0.
     *
     *  C       (output) DOUBLE PRECISION array, dimension (1+(N-1)*INCC)
     *          The cosines of the plane rotations.
     *
     *  INCC    (input) INTEGER
     *          The increment between elements of C. INCC > 0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DLARGV()`

Method Summary
`static void` | `DLARGV(int n, double[] x, int incx, double[] y, int incy, double[] c, int incc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DLARGV

    public DLARGV()

Method Detail

### DLARGV

    public static void DLARGV(int n,
                              double[] x,
                              int incx,
                              double[] y,
                              int incy,
                              double[] c,
                              int incc)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD